<?php
	
	include_once __DIR__ . '/include/common.php';
	include_once __DIR__ . '/include/general_functions.php';
	include_once __DIR__ . '/include/utils.php';	
	include_once __DIR__ . '/include/user.php';
	
	if ( ! @$user	||	$user['saved'] != 0)
			redirect('/');
	
	$params	=	[];
	$params['title']	=	'Сохранить героя';
	$params['list_errors']	=	[];
	
	ob_start();
	
	include_once __DIR__ . '/include/header.php';
	
	if (isset ($_POST['login'], $_POST['password']))
	{
		
		$login	=	input($_POST['login']);
		$password	=	input($_POST['password']);
		
		if ($login && $password)
		{
			
			if ( ! preg_match('#^([0-9a-z]{3,}|[0-9а-яё]{3,})$#iu', $login))
				$params['list_errors'][]	=	'В имени были допущены ошибки';
			
			if ( ! preg_match('#^([0-9a-z]{6,})$#i', $password))
				$params['list_errors'][]	=	'В пароле были допущены ошибки';
			
			if (@mysql_num_rows(@mysql_query(sprintf(
				'SELECT
						*
					FROM
						`users`
					WHERE
						`login`	=	"%s"',
				$login
			))) != 0)
					$params['list_errors'][]	=	'Выбранное имя уже занято';
			
			if (sizeof($params['list_errors']) == 0)
			{
				
				@mysql_query(sprintf(
					'UPDATE
							`users`
						SET
							`login`	=	"%s",
							`password`	=	"%s",
							`saved`	=	%d,
							`silver`=	`silver`	+	2000
						WHERE
							`id`	=	%d',
					$login, md5($password), time(),
					$user['id']
				));
					
				redirect('/');
					
			}
				
				
		}
		
	}
	
	?>
	<div class='container cntr'>
		<form action='/save' method='POST'>
			Имя героя:	<br />
			<input name='login' style='width:	50%;'/><br />
			Пароль:		<br />
			<input type='password' name='password'  style='width:	50%;'/><br />
			<input type='submit' value='Сохранить'/>
		</form>	
	</div>
	<?php
	
	include_once __DIR__ . '/include/footer.php';
	
	setContentType('text/html; charset=UTF-8');
	render(
		__DIR__ . '/include/template.php',
		ob_get_clean(),
		$params
	);
	
	?>
